Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management.j2ee.factory
Class DefaultManagedObjectFactoryMap

    java.lang.Object
      org.jboss.management.j2ee.factory.DefaultManagedObjectFactoryMap

All Implemented Interfaces:
  ManagedObjectFactoryMap

public class DefaultManagedObjectFactoryMap
extends Object
implements ManagedObjectFactoryMap

Version:
  $Revision: 1.6 $
Author:
  Scott.Stark@jboss.org

Constructor Summary
`DefaultManagedObjectFactoryMap()`

Method Summary
`ManagedObjectFactory` | `getFactory(javax.management.Notification createEvent)` Obtain the ManagedObjectFactory approriate for the event notification from the core JBoss layer.
`void` | `setCMDeployer(javax.management.ObjectName name)` Set the ObjectName to recognize as the JCA Connection manager deployer component
`void` | `setEARDeployer(javax.management.ObjectName name)` Set the ObjectName to recognize as the EARDeployer component
`void` | `setEJBDeployer(javax.management.ObjectName name)` Set the ObjectName to recognize as the EJBDeployer component
`void` | `setJavaMailResource(javax.management.ObjectName name)` Set the ObjectName to recognize as a JavaMail resource component
`void` | `setJMSResource(javax.management.ObjectName name)` Set the ObjectName to recognize as a JMS resource component
`void` | `setJNDIResource(javax.management.ObjectName name)` Set the ObjectName to recognize as a JNDI resource component
`void` | `setJTAResource(javax.management.ObjectName name)` Set the ObjectName to recognize as a JTA resource component
`void` | `setRARDeployer(javax.management.ObjectName name)` Set the ObjectName to recognize as the RARDeployer component
`void` | `setRMI_IIOPResource(javax.management.ObjectName name)` Set the ObjectName to recognize as a RMI_IIOP resource component
`void` | `setSARDeployer(javax.management.ObjectName name)` Set the ObjectName to recognize as the SARDeployer component
`void` | `setWARDeployer(javax.management.ObjectName name)` Set the ObjectName to recognize as the WARDeployer component

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultManagedObjectFactoryMap

    public DefaultManagedObjectFactoryMap()

Method Detail

### getFactory

    public ManagedObjectFactory getFactory(javax.management.Notification createEvent)

  Obtain the ManagedObjectFactory approriate for the event notification from the core JBoss layer. This method looks to the userData of the event to figure out how to obtain the JMX ObjectName of the core JBoss component sending the event. This is the current mechanism by which we map from the JBoss core layer into JSR-77 managed objects.

  Specified by:
    `getFactory` in interface `ManagedObjectFactoryMap`
  Parameters:
    `createEvent` -
  Returns:
    The ManagedObjectFactory if found, null otherwise

### setSARDeployer

    public void setSARDeployer(javax.management.ObjectName name)

  Description copied from interface: `ManagedObjectFactoryMap`
  Set the ObjectName to recognize as the SARDeployer component

  Specified by:
    `setSARDeployer` in interface `ManagedObjectFactoryMap`
  Parameters:
    `name` - the SARDeployer name

### setEARDeployer

    public void setEARDeployer(javax.management.ObjectName name)

  Description copied from interface: `ManagedObjectFactoryMap`
  Set the ObjectName to recognize as the EARDeployer component

  Specified by:
    `setEARDeployer` in interface `ManagedObjectFactoryMap`
  Parameters:
    `name` - the EARDeployer name

### setEJBDeployer

    public void setEJBDeployer(javax.management.ObjectName name)

  Description copied from interface: `ManagedObjectFactoryMap`
  Set the ObjectName to recognize as the EJBDeployer component

  Specified by:
    `setEJBDeployer` in interface `ManagedObjectFactoryMap`
  Parameters:
    `name` - the EJBDeployer name

### setRARDeployer

    public void setRARDeployer(javax.management.ObjectName name)

  Description copied from interface: `ManagedObjectFactoryMap`
  Set the ObjectName to recognize as the RARDeployer component

  Specified by:
    `setRARDeployer` in interface `ManagedObjectFactoryMap`
  Parameters:
    `name` - the RARDeployer name

### setCMDeployer

    public void setCMDeployer(javax.management.ObjectName name)

  Description copied from interface: `ManagedObjectFactoryMap`
  Set the ObjectName to recognize as the JCA Connection manager deployer component

  Specified by:
    `setCMDeployer` in interface `ManagedObjectFactoryMap`
  Parameters:
    `name` - the JCA Connection manager deployer name

### setWARDeployer

    public void setWARDeployer(javax.management.ObjectName name)

  Description copied from interface: `ManagedObjectFactoryMap`
  Set the ObjectName to recognize as the WARDeployer component

  Specified by:
    `setWARDeployer` in interface `ManagedObjectFactoryMap`
  Parameters:
    `name` - the WARDeployer name

### setJavaMailResource

    public void setJavaMailResource(javax.management.ObjectName name)

  Description copied from interface: `ManagedObjectFactoryMap`
  Set the ObjectName to recognize as a JavaMail resource component

  Specified by:
    `setJavaMailResource` in interface `ManagedObjectFactoryMap`
  Parameters:
    `name` - the JavaMail service name

### setJMSResource

    public void setJMSResource(javax.management.ObjectName name)

  Description copied from interface: `ManagedObjectFactoryMap`
  Set the ObjectName to recognize as a JMS resource component

  Specified by:
    `setJMSResource` in interface `ManagedObjectFactoryMap`
  Parameters:
    `name` - the JMS service name

### setJNDIResource

    public void setJNDIResource(javax.management.ObjectName name)

  Description copied from interface: `ManagedObjectFactoryMap`
  Set the ObjectName to recognize as a JNDI resource component

  Specified by:
    `setJNDIResource` in interface `ManagedObjectFactoryMap`
  Parameters:
    `name` - the JNDI service name

### setJTAResource

    public void setJTAResource(javax.management.ObjectName name)

  Description copied from interface: `ManagedObjectFactoryMap`
  Set the ObjectName to recognize as a JTA resource component

  Specified by:
    `setJTAResource` in interface `ManagedObjectFactoryMap`
  Parameters:
    `name` - the JTA service name

### setRMI_IIOPResource

    public void setRMI_IIOPResource(javax.management.ObjectName name)

  Description copied from interface: `ManagedObjectFactoryMap`
  Set the ObjectName to recognize as a RMI_IIOP resource component

  Specified by:
    `setRMI_IIOPResource` in interface `ManagedObjectFactoryMap`
  Parameters:
    `name` - the RMI_IIOP service name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.